#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		lname		%(echo %{sname}  | tr '-' '_')
#-----------------------------------------------------------------------------
Name		:	python-pyparsing
Version		:	3.1.2
Release		:	17.0.10.rel%{?dist}
Summary		:	A Python Parsing Module
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://pypi.org/project/pyparsing

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

BuildArch	:	noarch

Obsoletes	:	python3-%{sname}	<= %{version}

#-----------------------------------------------------------------------------
%description
The pyparsing module is an alternative approach to
creating and executing simple grammars, vs. the
traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library
of classes that client code uses to construct the
grammar directly in Python code.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/%{sname}/diagram/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/diagram/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
export PYTHONPATH=src
pytest -vvvvv
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
